tw.com.prolific.pl25x3Lib

## Enum PL25x3Lib.FlowControl

- java.lang.Object
- - java.lang.Enum<PL25x3Lib.FlowControl>
  - - tw.com.prolific.pl25x3Lib.PL25x3Lib.FlowControl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL25x3Lib.FlowControl>
  Enclosing class:
    PL25x3Lib

      public static enum PL25x3Lib.FlowControl
      extends java.lang.Enum<PL25x3Lib.FlowControl>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DTRDSR`
    `OFF`
    `RFRCTS`
    `RTSCTS`
    `RTSCTSDTRDSR`
    `XONXOFF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL25x3Lib.FlowControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL25x3Lib.FlowControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final PL25x3Lib.FlowControl OFF

    - #### RTSCTS

          public static final PL25x3Lib.FlowControl RTSCTS

    - #### RFRCTS

          public static final PL25x3Lib.FlowControl RFRCTS

    - #### DTRDSR

          public static final PL25x3Lib.FlowControl DTRDSR

    - #### RTSCTSDTRDSR

          public static final PL25x3Lib.FlowControl RTSCTSDTRDSR

    - #### XONXOFF

          public static final PL25x3Lib.FlowControl XONXOFF

  - ### Method Detail

    - #### values

          public static PL25x3Lib.FlowControl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL25x3Lib.FlowControl c : PL25x3Lib.FlowControl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL25x3Lib.FlowControl valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null